PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zpltmg_Tile | ( | PLASMA_enum | mtxtype,
|  | PLASMA_desc * | A,
|  | unsigned long long int | seed
| ) |  |

PLASMA_zpltmg_Tile - Generate a random matrix by tiles. Tile equivalent of PLASMA_zpltmg(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | mtxtype | See PLASMA_zpltmg()
  [in] | A | On exit, The random matrix A generated.
  [in] | seed | The seed used in the random generation.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zpltmg
  PLASMA_zpltmg_Tile_Async
  PLASMA_cpltmg_Tile
  PLASMA_dpltmg_Tile
  PLASMA_spltmg_Tile